Bug 88649 - Heading numbering in conditional / hidden sections is still counted
Summary: Heading numbering in conditional / hidden sections is still counted
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Chapter-Numbering Section
  Show dependency treegraph
 
Reported: 2015-01-21 02:50 UTC by Len Trigg
Modified: 2019-02-09 20:13 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Len Trigg 2015-01-21 02:50:35 UTC
I have a long document (ported from FrameMaker) which I want to use to produce multiple output versions. I have defined conditional sections which are hidden depending on which version is being produced. However, heading numbers continue to be incremented inside hidden sections. This makes it impossible to output multiple document versions using the conditional text feature to control which text gets included in each version.

I note that Apache OOo tracker has this as a bug in their system which has unfortunately been open for 10 years now!

https://issues.apache.org/ooo/show_bug.cgi?id=36611

Hopefully LibreOffice can deal to it in a more timely manner!

Cheers!
Comment 1 Buovjaga 2015-01-29 18:40:06 UTC
Confirmed with https://issues.apache.org/ooo/attachment.cgi?id=20987

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 784d069cc1d9f1d6e6a4e543a278376ab483d1eb
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-25_23:07:36

Ubuntu 14.10 64-bit
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 2 QA Administrators 2016-02-21 08:35:25 UTC Comment hidden (obsolete)
Comment 3 Len Trigg 2016-02-24 20:31:24 UTC
I have confirmed that this bug still exists in LibreOffice 5.1.0.3, running on Ubuntu 14.04. Here is the info from About LibreOffice:

Version: 5.1.0.3
Build ID: 5e3e00a007d9b3b6efb6797a8b8e57b51ab1f737
CPU Threads: 4; OS Version: Linux 3.13; UI Render: default; 
Locale: en-NZ (en_NZ.utf8)
Comment 4 zappe.duschter 2016-03-03 09:28:37 UTC
Same problem here.
Version: 5.1.0.3 Win7.

The same behaviour you will have with all „Number ranges“ located in conditional sections. Make the section invisible and they still will be increased.
It would be great if condtions have influrence on all Number ranges (I guess outline numbering is just a hidden Number range).

Possible workaround:
Number ranges can be manipulated. For instance if your condition can be true (1) or false (0) a common “Figure = Figure+1” can be changed to “Figure = Figure+CONDITION”. Of course this is only a workaround and it has its limitiations when conditions are getting more complex.
But while you can manipulate Number ranges you have no influrence on outline numbering.
Comment 5 QA Administrators 2017-03-06 15:15:24 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.5 or 5.3.0  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170306